player_map_data_vector Struct Reference

Request/reply: get vector map. More...

`#include <player_interfaces.h>`

## Public Attributes

float | minx
| The minimum and maximum coordinates of all the line segments [meters].
float | maxx
| The minimum and maximum coordinates of all the line segments [meters].
float | miny
| The minimum and maximum coordinates of all the line segments [meters].
float | maxy
| The minimum and maximum coordinates of all the line segments [meters].
uint32_t | segments_count
| The number of line segments.
player_segment_t * | segments
| Line segments.

## Detailed Description

Request/reply: get vector map.

A vector map is represented as line segments. To retrieve the vector map, send a null PLAYER_MAP_REQ_GET_VECTOR request.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45